PaidGoods

On-chain payments with filters

GET
/v1/stores/{storeId}/crypto/history

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default20
asset?string

Value in

  • "BTC"
  • "LTC"
  • "ETH"
  • "ETH_BASE"
  • "ETH_ARB"
  • "SOL"
  • "USDT_ERC20"
  • "USDC_ERC20"
  • "USDC_BASE"
  • "USDC_ARB"
  • "USDT_ARB"
  • "USDC_POL"
  • "USDT_POL"
  • "USDT_SPL"
  • "USDC_SPL"
state?string

Value in

  • "seen"
  • "confirmed"
  • "reorged"
search?string
Lengthlength <= 120

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/crypto/history"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "asset": "string",      "txid": "string",      "vout": -9007199254740991,      "address": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "methodId": "a79e32ca-882c-452b-a096-350276aed28d",      "amount": "string",      "amountBaseUnits": -9007199254740991,      "confirmations": -9007199254740991,      "state": "string",      "counted": "string",      "explorerUrl": "string",      "firstSeenAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}